Page MenuHomePhabricator

The default languages shown for CX are sub-optimal and pollute the list of common languages
Closed, ResolvedPublic1 Story Points

Description

As reported here, a user landing CX in French Wikipedia gets French-to-Bulgarian as the default language pair when creating a new translation. Later, Bulgarian appears as a red interlanguage link (which is confusing because Bulgarian is not a language the user speaks).

The following issues should be solved:

  • Whichever are the default languages proposed to the user, those should not be stored in the list of common languages unless the user explicitly selects them (or confirms the default ones by starting a translation).
  • The local language makes more sense to be proposed as the target language, not the source.
  • As the source language, if there is no better information (such as previous selections), English may be a better default than a random (or alphabetical) choice as the default.

Similar issues

T94845, T94869, and T96547 are similar issues related to the interlanguage links entry point.

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 2 2015, 6:10 PM
santhosh triaged this task as Normal priority.Apr 3 2015, 5:17 AM
santhosh added a subscriber: santhosh.
Trizek added a subscriber: Trizek.Apr 3 2015, 11:49 AM

The red link appears on every pages now.

Arrbee moved this task from Needs Triage to CX5 on the ContentTranslation board.Apr 10 2015, 9:51 AM
Arrbee assigned this task to Amire80.Apr 21 2015, 9:47 AM
Arrbee added a project: LE-Sprint-86.
Nikerabbit edited a custom field.Apr 21 2015, 9:48 AM

Thanks for the clear description and suggestions, @Pginer-WMF. I indeed ran into it a few times and your suggestions will be a good improvement.

Arrbee moved this task from Backlog to In Progress on the LE-Sprint-86 board.May 6 2015, 7:24 AM
Amire80 moved this task from In Progress to In Review on the LE-Sprint-86 board.May 6 2015, 7:51 PM

Change 209314 had a related patch set uploaded (by Amire80):
Make language selection saner

https://gerrit.wikimedia.org/r/209314

Change 209314 merged by jenkins-bot:
Make language selection saner

https://gerrit.wikimedia.org/r/209314

Arrbee moved this task from In Review to Done on the LE-Sprint-86 board.May 25 2015, 8:03 AM
Arrbee closed this task as Resolved.Jun 9 2015, 8:14 AM
Arrbee added a subscriber: Arrbee.